Loading...
Searching...
No Matches
BALL::SolventDescriptor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/solventDescriptor.h>`

## Public Member Functions

Constructors and destructor
| SolventDescriptor ()
| SolventDescriptor (const SolventDescriptor &solvent)
| SolventDescriptor (const String &name, float number_density, const std::vector< SolventAtomDescriptor > &atom_list)
virtual | ~SolventDescriptor ()
Assignment
const SolventDescriptor & | operator= (const SolventDescriptor &descriptor)
void | clear ()
Accessors
void | setName (const String &name)
const String & | getName () const
void | setNumberDensity (float number_density)
float | getNumberDensity () const
void | setSolventAtomDescriptorList (const std::vector< SolventAtomDescriptor > &solvent_atoms)
const std::vector< SolventAtomDescriptor > & | getSolventAtomDescriptorList () const
std::vector< SolventAtomDescriptor > & | getSolventAtomDescriptorList ()
Size | getNumberOfAtomTypes () const
const SolventAtomDescriptor & | getAtomDescriptor (Position index) const
SolventAtomDescriptor & | getAtomDescriptor (Position index)

## Predicates

String | name_
float | number_density_
std::vector< SolventAtomDescriptor > | solvent_atoms_
bool | valid_
bool | isValid () const
bool | operator== (const SolventDescriptor &descriptor) const

## Detailed Description

Solvent Description. The calculation of van-der-Waals energies requires information about the solvent which is stored in this structure.

Definition at line 62 of file solventDescriptor.h.

## Constructor & Destructor Documentation

## SolventDescriptor() [1/3]

BALL::SolventDescriptor::SolventDescriptor | ( |  | ) |

Default constructor

## SolventDescriptor() [2/3]

BALL::SolventDescriptor::SolventDescriptor | ( | const SolventDescriptor & | solvent | ) |

Copy constructor

## SolventDescriptor() [3/3]

BALL::SolventDescriptor::SolventDescriptor | ( | const String & | name,
|  | float | number_density,
|  | const std::vector< SolventAtomDescriptor > & | atom_list )

Detailed constructor

## ~SolventDescriptor()

virtual BALL::SolventDescriptor::~SolventDescriptor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

void BALL::SolventDescriptor::clear | ( |  | ) |

Clear function

## getAtomDescriptor() [1/2]

SolventAtomDescriptor & BALL::SolventDescriptor::getAtomDescriptor | ( | Position | index | ) |

Get atom decriptions by index

Exceptions

  BALL::Exception::IndexOverflow |

## getAtomDescriptor() [2/2]

const SolventAtomDescriptor & BALL::SolventDescriptor::getAtomDescriptor | ( | Position | index | ) | const

Get atom decriptions by index

Exceptions

  BALL::Exception::IndexOverflow |

## getName()

const String & BALL::SolventDescriptor::getName | ( |  | ) | const

Get the name

## getNumberDensity()

float BALL::SolventDescriptor::getNumberDensity | ( |  | ) | const

Get the number density of this solvent (in $ A^{-3}$)

## getNumberOfAtomTypes()

Size BALL::SolventDescriptor::getNumberOfAtomTypes | ( |  | ) | const

Get the number of different atom types within a solvent molecule

## getSolventAtomDescriptorList() [1/2]

std::vector< SolventAtomDescriptor > & BALL::SolventDescriptor::getSolventAtomDescriptorList | ( |  | ) |

Get the list of atom descriptors

## getSolventAtomDescriptorList() [2/2]

const std::vector< SolventAtomDescriptor > & BALL::SolventDescriptor::getSolventAtomDescriptorList | ( |  | ) | const

Get the list of atom descriptors

## isValid()

bool BALL::SolventDescriptor::isValid | ( |  | ) | const

Validity

## operator=()

const SolventDescriptor & BALL::SolventDescriptor::operator= | ( | const SolventDescriptor & | descriptor | ) |

Assignment operator

## operator==()

bool BALL::SolventDescriptor::operator== | ( | const SolventDescriptor & | descriptor | ) | const

Equality operator

## setName()

void BALL::SolventDescriptor::setName | ( | const String & | name | ) |

Set the name

## setNumberDensity()

void BALL::SolventDescriptor::setNumberDensity | ( | float | number_density | ) |

Set the number density

## setSolventAtomDescriptorList()

void BALL::SolventDescriptor::setSolventAtomDescriptorList | ( | const std::vector< SolventAtomDescriptor > & | solvent_atoms | ) |

Set the list of solvent atom descriptors

## Member Data Documentation

## name_

String BALL::SolventDescriptor::name_

protected

Definition at line 170 of file solventDescriptor.h.

## number_density_

float BALL::SolventDescriptor::number_density_

protected

Definition at line 174 of file solventDescriptor.h.

## solvent_atoms_

std::vector<SolventAtomDescriptor> BALL::SolventDescriptor::solvent_atoms_

protected

Definition at line 178 of file solventDescriptor.h.

## valid_

bool BALL::SolventDescriptor::valid_

protected

Definition at line 182 of file solventDescriptor.h.